Bug 59370 - Default dictionary set for Russian
Summary: Default dictionary set for Russian
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: All All
: medium normal
Assignee: Andras Timar
QA Contact:
URL:
Whiteboard: target:4.0.0.2 target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-14 18:21 UTC by Yakov
Modified: 2013-10-20 15:55 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yakov 2013-01-14 18:21:45 UTC
The default dictionary set for Russian are Russian and German spellchek dictionary.
For Russian locale are required English and Ukrainian spellcheck dictionaries too.
Comment 1 Urmas 2013-01-15 00:41:38 UTC
Why? No one needs Ukrainian dictionary.
Comment 2 Yakov 2013-01-15 06:49:52 UTC
In Russia there is a need to handle Ukrainian texts.
In Ukraine, the program is often used with the Russian interface for processing Ukrainian texts.
Comment 3 Not Assigned 2013-01-15 07:29:44 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81ff998ec58f92425366b226eabb3cad2c87c89b&h=libreoffice-4-0

fdo#59370 Default dictionaries set for Russian UI


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-01-15 07:36:45 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b920a2a8682b21f29c63a269e6383647025cf635

fdo#59370 Default dictionaries set for Russian UI



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Urmas 2013-01-15 12:38:37 UTC
Revert that please.
The default dictionaries for Russian should be just en and ru.
We do not need that junk on their machines.

Ukrainians using the Russian UI can install it manually just fine.
Comment 6 Yakov 2013-01-15 17:34:12 UTC
Russian OpenOffice.org Pro build (from Infra-Resourse) with Russian interface  included both Russian and Ukrainian dictionary.
English dictionary is requred too.
Comment 7 Joel Madero 2013-01-15 18:27:00 UTC
I'm marking this as FIXED, Andras can decide if he wants to revert the changes but as far as this bug is concerned, it's fixed.